Jak nainstalovat kernel 4.1.1 v Linux Mintu

kernel1

Necelý týden od vydání nového stabilního kernelu 4.1 oznámil v pondělí Greg Kroah-Hartman vydání jeho první aktualizace 4.1.1 a my si v dnešním tutoriálu prozradíme, jak jej nainstalovat v Linux Mintu.

 

Jedná se o poměrně malou aktualizaci, která, mimo jiné, obsahuje podporu pro tiskárny ATOL FPrint, odstraněno varování před přetečením u 32-bitové kolekce binárních nástrojů Binutils a byla provedena vylepšení pro mikroarchitekturu Broadwell.

Kompletní seznam změn a novinek najdete v changelogu.

Chcete-li si tedy toto nejnovější stabilní jádro nainstalovat i v našem Linux Mintu, pak čtěte dál….

Jelikož se všechny potřebné .deb balíčky nacházejí v repozitáři kernel.ubuntu.com, je instalace jádra 4.1.1 v Linux Mintu poměrně snadná. Postupujte přesně podle pokynů pro architekturu, na níž je postaven váš počítač. To, zda máte 32-bitový (i686) nebo 64-bitový systém, zjistíte buď v Nastavení systému > System Info nebo zadáním tohoto příkazu v terminálu:

Příkaz terminálu:
uname -m

 

Upozorňuji vás, že aktualizace jádra v Linux Mintu je sice poměrně jednoduchá záležitost, vyžaduje však pokročilé znalosti systému a provádíte jí vždy na vlastní nebezpečí!

 

 

Instalace jádra 4.1.1 v 32-bitové verzi Linux Mintu

Opět použijeme příkaz „vše v jednom“. Vše budeme provádět pomocí terminálu, tak si jej otevřete a zadejte:

Příkazy terminálu:
cd /tmp && wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.1-unstable/linux-headers-4.1.1-040101_4.1.1-040101.201507030635_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.1-unstable/linux-headers-4.1.1-040101-generic_4.1.1-040101.201507030635_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.1-unstable/linux-image-4.1.1-040101-generic_4.1.1-040101.201507030635_i386.deb && sudo dpkg -i *.deb

 

Instalace jádra 4.1.1 v 64-bitové verzi Linux Mintu

V terminálu zadejte:

Příkazy terminálu:
cd /tmp && wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.1-unstable/linux-headers-4.1.1-040101_4.1.1-040101.201507030635_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.1-unstable/linux-headers-4.1.1-040101-generic_4.1.1-040101.201507030635_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.1-unstable/linux-image-4.1.1-040101-generic_4.1.1-040101.201507030635_amd64.deb && sudo dpkg -i *.deb

 

Restartujte počítač a nové jádro by mělo být aktualizované. Pokud vám z nějakého důvodu nenajede, odstraňte jej zadáním příkazu:

Příkaz terminálu:
sudo apt-get remove 'linux-headers-4.1.1*' 'linux-image-4.1.1*'

 

Sám jsem otestoval tento nejnovější stabilní kernel na Linux Mintu 17.2 Rafaela s pracovním prostředím Mate a na LMDE 2 Betsy také s prostředím Mate, kde s mou hardwarovou konfigurací běhá naprosto bez problémů. V komentářích rád uvítám i vaše poznatky z instalace nového stabilního jádra do jiných verzí Linux Mintu.

Přeji hodně úspěchů při instalaci i práci s nejnovějším stabilním kernelem 4.1.1.

 

Štítky , , , , , .Záložka pro permanentní odkaz.

27 reakcí na Jak nainstalovat kernel 4.1.1 v Linux Mintu

  1. Rostislav Bačovský říká:

    Chyba 404, jádro nenalezeno. Alespoň u verze 64.

  2. Miroslav Fotyi říká:

    Využije se existující spojení s kernel.ubuntu.com:80.
    HTTP požadavek odeslán, program čeká na odpověď… 404 Not Found
    2015-07-02 09:21:59 CHYBA 404: Not Found.

  3. theseuszn říká:

    Koukám, že Canonical avizuje stable verzi, v cestě ke stažení je unstable. Úprava příkazu taky nefunguje a Cannonical asi taky nefunguje… 😀 Tak to su zvědav na ohlasy. Jak tak koukám i na jiných servrech, tak tak to zatím nefunguje nikomu, ale je to odzkoušený, veselá situace tady… hmm… „Nástup veder, jak se zdá, má svý vrtochy“ 😀

    • Satapouch říká:

      Odzkoušené to skutečně mám, jinak bych to tam nepsal. To, že vývojáři tu a tam změní název balíčku v době mezi napsáním a zveřejněním článku se bohužel tu a tam stane. Já ale nemám čas sedět 24 hodin denně u počítače a hlídat to. Je mi líto.

    • Satapouch říká:

      Došlo ke změně názvů balíčků, nyní je již vše aktualizováno.

      • theseuszn říká:

        Ok, díky za reakci, sled událostí byl asi dost rychlý na změny a pak to tak vypadalo… Diky

    • theseuszn říká:

      Jj, zřejmě asi ano. Možná by se vyplatilo, než se vystaví info o nové verzi kernelu, vypustit poslední odstavec o tom, „Sám jsem otestoval tento nejnovější stabilní kernel…“. V takovýchto nečekaných situacích to sdělení pak budí jistou mírou „nedůvěryhodnosti“. Myslím to samozřejmě dobře v zájmu autora článku. Jinak samozřejmě díky oběma.

      • Satapouch říká:

        Ale já to tam přeci musím napsat, musím to nejdříve sám vyzkoušet a sdělit čtenáři, zda to vůbec běhá, jinak by to bylo nedůvěryhodné – psát o něčem co sám nevyzkouším. Bohužel už se stalo, že během 3 dnů byly názvy balíčků 3x změněny a musel jsem to aktualizovat průběžně. Naštěstí se to nestává až tak často. S tou verzí „unstable“ mi to také není jasné – všude je prezentována jako aktuální stabilní verze…..

        • theseuszn říká:

          „Dr. Chocholoušek“ v jednom starším českém filmu taky říkal: „Tato politování hodná situace se v našem ústavu stává pouze jednou za deset let a tímto se Vám náš ústav upřímně omlouvá“… nebo tak nějak… Dobrá chlapi prďme na to, venku udělali „botu“, nějak to vypadalo, pak se to teda opravilo a tečka. Sou důležitější věci na světě, přeju hezkej zbytek dne

  4. Miroslav Fotyi říká:

    jj už to také maká a běží, kamowski díky 🙂

  5. golf33 říká:

    Tak opět mi nejede WiFi na Lenovo ThinkPad E540… zase zpět na 4.0.5. 🙂

  6. Allconius říká:

    tak si to stahujte přímo ze stránek http://kernel.ubuntu.com/~kernel-ppa/mainline/ pak jen stačí ve složce „Stažené“ otevřít terminál a napsat „sudo dpkg -i *.deb“ a není třeba řešit žádný názvy balíčků 🙂

  7. baron říká:

    Mě to zas nejede, asi to přejmenovali

  8. kamowski říká:

    to už začala uhorková sezóna?
    fakt to premenovali
    . 201507030635
    či toto chceli povedať tým „unstable“ 😀

  9. Dušan říká:

    Nevím kde je problém:

    – při instalaci se mě objeví hláška: dpkg: error processing package linux-headers-4.1.0-040100- generic (–install): problém se závislostmi – nechávám nezkonfigurované
    Při zpracování nastaly chyby:
    linux-headers-4.1.0-040100-generic

    Zkoušel jsem i jinší verze jádra a pokaždé se mě objeví tato hláška.

    • baron říká:

      díky 🙂

      • Kebab říká:

        až doteď jsem raději čekal za bukem ale tohle potvrzuji že je funkční, právě to píšu už pod novým jádrem

    • Dušan říká:

      Mockrát děkuji uživateli kamowski a všem ostatním za vysvětlení a návod. Podařilo se nahrát nové jádro.

      Jen mám ještě malý dotaz asi s tím přímo nesouvisí. Na ploše využívám desklety (když spustím Sticky Notes , tak záhy mě vyskočí okno s chybovou hláškou

      err this.context_menu_item_collapse.icon is undefined

      Nevíte prosím jak tuto chybovou hlášku opravit?

  10. Satapouch říká:

    Tak opraveno, uvidíme jak dlouho to vydrží. 🙂